input_file = 'small.txt'
output_file = 'small_e.nc'

long_name = 'LON'
lat_name = 'LAT'

up = +1.

from Scientific.IO.NetCDF import NetCDFFile

in_file = open(input_file,'r')
print 'reading header'
nx_ny_str = in_file.readline()
nx_str,ny_str = nx_ny_str.split()
nx = int(nx_str)
ny = int(ny_str)
h1_list=[]
for i in range(nx):
    h1_list.append(float(in_file.readline()))

h2_list=[]
for j in range(ny):
    h2_list.append(float(in_file.readline()))

h2_list.reverse()

print 'reading depths'
in_depth_list = in_file.readlines()
in_file.close()

out_depth_list = [[]]

print 'processing depths'
k=1
for in_line in in_depth_list:
    for string in in_line.split():
        #j = k/nx
        out_depth_list[(k-1)/nx].append(float(string)*up)
        #print k,len(out_depth_list),(k-1)/nx,out_depth_list[(k-1)/nx][-1],len(out_depth_list[(k-1)/nx])
        if k==nx*ny:
            break
        if k-(k/nx)*nx ==0:
            out_depth_list.append([])
        k+=1

in_file.close()
out_depth_list.reverse()
depth_list = out_depth_list
print out_depth_list

print 'writing results'
out_file = NetCDFFile(output_file,'w')

out_file.createDimension(long_name,nx)
out_file.createVariable('LON','d',(long_name,))
out_file.variables['LON'].point_spacing='uneven'
out_file.variables['LON'].units='degrees_east'
out_file.variables['LON'].assignValue(h1_list)

out_file.createDimension(lat_name,ny)
out_file.createVariable('LAT','d',(lat_name,))
out_file.variables['LAT'].point_spacing='uneven'
out_file.variables['LAT'].units='degrees_north'
out_file.variables['LAT'].assignValue(h2_list)

out_file.createVariable('ELEVATION','d',(lat_name,long_name))
out_file.variables['ELEVATION'].point_spacing='uneven'
out_file.variables['ELEVATION'].units='meters'
out_file.variables['ELEVATION'].assignValue(depth_list)

out_file.close()
